Subject: Re: IntelliAssign issue
From: Deeksha Dadu <[email-masked]>
To: Khaled Al-Sufian <[email-masked]>, Saurabh Dadu <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, Ashish Dabral <[email-masked]>
Date: Sun, 17 Apr 2022 12:28:55 +0000

Hello Khaled,

Thank you very much for your email.

I agree with you for the number of chats per agent. I will discuss with team and get back to you on how to implement this. I specially need to see how to proceed in case of inactive chats.

Could you tell me, in the current team, what agents would you rate as what level? If you could perhaps send me a list of current agents along with their levels, I can discuss with Syed and hammer out a plan.

Regards,
Deeksha
________________________________
From: Khaled Al-Sufian <[email-masked]>
Sent: Sunday, April 17, 2022 4:53 PM
To: Saurabh Dadu <[email-masked]>
Cc: Deeksha Dadu <[email-masked]>; [email-masked] <[email-masked]>; Ashish Dabral <[email-masked]>
Subject: IntelliAssign issue

Hello team,

In light of our try to make the agents do their escalations, we're facing a little issue with this regard which is agents are not ' always ' able to escalate the matter while handling chats.

We suggest levels for IntelliAssign for each agents form 1 to 5, for example agents classified as level 5 can handle 8 chats with no issues, while agents with level 1 the IntelliAssign assigns them only 4 chats at the once, and stop assigning if the chats are inactive more than 3 minutes for any reason ( agent is checking - cx no response ), because some escalations will take around 5-7 minutes to do with quality of course, raise the CRM and then escalate the matter and then update cx, in this time the IntelliAssign will keep assigning which makes agents focusing on chats only and have no time for escalate the needful in time.

We also suggest to not manual assign to agents with the lower levels.

We suggest a solution which is we can keep the tickets open and agents can escalate what needs actions in the end of the shift ( last 2 hours for exm ), arranged with the team leader and the other agents in the same shift.

That's the main issue with suggestions, i'm all ears to hear more solutions from your end, and we thank you all in advance.

Khalid Saleh.